Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 2.0 beta 1 (#201)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.swixml
Class MacApp

    java.lang.Object
      com.apple.eawt.Application
          org.swixml.MacApp

    public class MacApp

extends com.apple.eawt.Application

A MacApp object acompanies a SwingEngine generated UI, when run on a Mac. The MacApp dispatches MacMenu requests to the registered actions.
It remains in the responsibility of the main application that the registered Action are available and fully funtional (loaded).

Method Summary
`static MacApp` | `getInstance()`
`void` | `update(Map action_map)`

Methods inherited from class com.apple.eawt.Application
`addAboutMenuItem, addAppEventListener, addApplicationListener, addPreferencesMenuItem, disableSuddenTermination, enableSuddenTermination, getApplication, getDockIconImage, getDockMenu, getEnabledAboutMenu, getEnabledPreferencesMenu, getMouseLocationOnScreen, isAboutMenuItemPresent, isPreferencesMenuItemPresent, openHelpViewer, removeAboutMenuItem, removeAppEventListener, removeApplicationListener, removePreferencesMenuItem, requestForeground, requestUserAttention, setAboutHandler, setDefaultMenuBar, setDockIconBadge, setDockIconImage, setDockMenu, setEnabledAboutMenu, setEnabledPreferencesMenu, setOpenFileHandler, setOpenURIHandler, setPreferencesHandler, setPrintFileHandler, setQuitHandler, setQuitStrategy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MacApp getInstance()

### update

    public void update(Map action_map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| SWIXML 2.0 beta 1 (#201)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 - 2011 - Wolf Paulus - wolfpaulus.com. All rights reserved.